# Speak

An action block that speaks a message using text-to-speech (TTS) to an audio stream.

If the proceed option is set to Immediately, then the message will be spoken without pausing the fiber. If set to When complete, then the fiber will pause until the speech has completed.

The message may be an SSML document, if the TTS engine supports it.

Playback can be stopped prematurely by an Speak stop block or by cancelling the notification.

Note! Few devices support playback in phone calls through the Voice call audio stream.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Message — message to speak.
- Rate — rate (speed) of speech, default is 100%.
- Language — language of the message, default is the device language.
- Engine — TTS engine to use, default is the built-in engine.
- Offline — whether to prevent network requests and only use on-device synthesis, if supported by engine.
- Audio stream — playback audio stream, default is Notification.
- Volume — playback audio volume, default is 100%.
- Audio focus — audio focus to request, default is Transient may duck.
- Notification channel — UUID of notification channel used for showing notification during playback, default is no notification.